Bug 62649 - "rac" should be "megarac"
Summary: "rac" should be "megarac"
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: hwdata (Show other bugs)
(Show other bugs)
Version: skipjack-beta2
Hardware: i386 Linux
high
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-03 19:15 UTC by Joshua Giles
Modified: 2007-03-27 03:52 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-09 01:05:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joshua Giles 2002-04-03 19:15:31 UTC
Description of Problem:
Some of our software for the Megarac card depends on the module name to 
be "rac".  Also, the pcitable file under /usr/share/hwdata/kudzu/ refers to the 
module name as "rac".

Version-Release number of selected component (if applicable):
linux-2.4.18-0.12

How Reproducible:
100%

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:
Currently, the driver name is "megarac"

Expected Results:
I would like to see it renamed as "rac"

Additional Information:

Comment 1 Arjan van de Ven 2002-04-05 14:49:40 UTC
The official lanana name for the device is megarac and for the device nodes
it's /dev/megarac0 and /dev/megarac1

I think it does not make sense to call the driver rac if the official lanana
name is megarac for the device....

Comment 2 Arjan van de Ven 2002-04-05 14:50:02 UTC
Means kudzu needs fixing though

Comment 3 Joshua Giles 2002-04-05 17:02:11 UTC
I agree, however AMI's rpms look for the rac module name.  It will be a pain to 
get them to change thier stuff.

Comment 4 Arjan van de Ven 2002-04-05 17:06:24 UTC
echo "alias rac=megarac" >> /etc/modules.conf
somewhere strategic like in kickstart scripts ;)

Comment 5 Jay Turner 2002-04-09 01:05:35 UTC
Changing this to be hwdata bug.  As of 0.10-1, still have an entry pointing at
"rac" and it should be pointing at the "megarac" module.

Comment 6 Bill Nottingham 2002-04-09 05:07:14 UTC
Will be changed in 0.11-1.


Note You need to log in before you can comment on or make changes to this bug.